"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinearGradient = void 0;
var _reactNativeLinearGradient = _interopRequireDefault(require("react-native-linear-gradient"));
var _rgb2hex = _interopRequireDefault(require("rgb2hex"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const LinearGradient = ({
  color0,
  color1,
  children,
  start,
  end,
  gradientStyle
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeLinearGradient.default, {
    colors: [color0, color1].map(c => (0, _rgb2hex.default)(c).hex),
    start: start,
    end: end,
    style: gradientStyle,
    children: children
  });
};
exports.LinearGradient = LinearGradient;
//# sourceMappingURL=LinearGradient.js.map