"use strict";

import NativeLinearGradient from 'react-native-linear-gradient';
import rgb2hex from 'rgb2hex';
import { jsx as _jsx } from "react/jsx-runtime";
export const LinearGradient = ({
  color0,
  color1,
  children,
  start,
  end,
  gradientStyle
}) => {
  return /*#__PURE__*/_jsx(NativeLinearGradient, {
    colors: [color0, color1].map(c => rgb2hex(c).hex),
    start: start,
    end: end,
    style: gradientStyle,
    children: children
  });
};
//# sourceMappingURL=LinearGradient.js.map